#!/bin/bash            
### System Login Hook by Curby
### v1.00.05, 2004-02-07


# This script is run after a successful user login. 
# Install this script by copying it to /Library/Hooks/loginhook.sh and executing:
# sudo defaults write com.apple.loginwindow LoginHook /Library/Hooks/loginhook.sh



# Sources common hook functions
. /Library/Hooks/hookcommon.sh

LogLine "System Login Hook {"

# Take care of users' hook, if one exists
USERHOOK="/Users/$1/Library/Hooks/`basename $0`"
if [ -x "$USERHOOK" ]; then
  LogLine "Calling $1's hook: $USERHOOK"
  #exec su - -f "$1" -c "$USERHOOK" "$@"
  sudo -u "$1" "$USERHOOK" "$1" "$HOOK_INDENT"
else
  LogLine "Skipping $1's hook (missing or not executable)"
fi

# Do system hook stuff after user hook stuff

LogLine '}'

exit 0
