#!/bin/bash
### Example User Hook by Curby
### v1.00.05, 2004-02-07

### Example user LoginHook to be called from the system login hook
### This example sets the system volume upon log in.
### Custom scripts for login, logout, system sleep, and system wakeup
### can be placed in ~/Library/Hooks with names loginhook.sh, 
### logouthook.sh, sleephook.sh, and wakeuphook.sh respectively.

. /Library/Hooks/hookcommon.sh

LogLine "User Login Hook {"

LogLine "Reset volume to a reasonable level"
osascript -e 'set volume 5'

LogLine "}"

